%define major 10
%define shortname microhttpd
%define libname	%mklibname %shortname %{major}
%define spdymajor 0
%define libspdy %mklibname microspdy %{spdymajor}
%define develname %mklibname -d %{shortname}
%define sdevelname %mklibname -d -s %{shortname}

Name:		libmicrohttpd
Version:	0.9.33
Release:	%mkrel 1
URL:		http://gnunet.org/libmicrohttpd/
Source:		http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
Patch0:		libmicrohttpd-0.9.28-link.patch
License:	GPLv2+
Summary:	Small C library to run an HTTP server
Group:		System/Libraries
BuildRequires:	curl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel
BuildRequires:	openssl-devel

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{libname}
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n	%{libname}
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n	%{libspdy}
Summary:	API of SPDY server
Group:		System/Libraries

%description -n	%{libspdy}
libmicrospdy provides a compact API of SPDY server. libmicrospdy currently
only implements version 3 of SPDY and accepts only TLS connections.

%package -n	microspdy2http
Summary:	Implementation of SPDY server
Group:		System/Servers

%description -n	microspdy2http
microspdy2http provides an implementation of SPDY server.

%package -n	%{develname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libspdy} = %{version}-%{release}
Conflicts:	%{_lib}microhttpd10 < 0.9.28

%description -n	%{develname}
Development files for %{libname}

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%{__rm} -Rf %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_bindir}/demo

%post -n %{develname}
%_install_info microhttpd.info

%preun -n %{develname}
%_remove_install_info microhttpd.info

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n microspdy2http
%{_bindir}/microspdy2http

%files -n %{libspdy}
%{_libdir}/libmicrospdy.so.%{spdymajor}
%{_libdir}/libmicrospdy.so.%{spdymajor}.*

%files -n %{develname}
%{_includedir}/%{shortname}.h
%{_includedir}/microspdy.h
%{_libdir}/*.so
%{_infodir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Dec 27 2013 luigiwalser <luigiwalser> 0.9.33-1.mga4
+ Revision: 560963
- 0.9.33

* Sat Oct 19 2013 umeabot <umeabot> 0.9.30-2.mga4
+ Revision: 533839
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 luigiwalser <luigiwalser> 0.9.30-1.mga4
+ Revision: 475632
- 0.9.30

* Sat Aug 03 2013 fwang <fwang> 0.9.28-1.mga4
+ Revision: 462853
- add files
- add microspdy2http sub package
- update file list
- update file list for libmicrospdy
- fix linkage of spdy lib
- new version 0.9.28

* Mon Jun 24 2013 fwang <fwang> 0.9.27-1.mga4
+ Revision: 446110
- new version 0.9.27

* Sat Jan 12 2013 umeabot <umeabot> 0.9.23-2.mga3
+ Revision: 357751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 0.9.23-1.mga3
+ Revision: 316924
- new version 0.9.23

* Mon Sep 03 2012 fwang <fwang> 0.9.22-1.mga3
+ Revision: 287516
- new version 0.9.22

* Fri Jun 01 2012 fwang <fwang> 0.9.20-1.mga3
+ Revision: 252729
- new version 0.9.20

* Mon Mar 05 2012 fwang <fwang> 0.9.19-1.mga2
+ Revision: 218351
- new version 0.9.19

* Sun Nov 20 2011 fwang <fwang> 0.9.17-1.mga2
+ Revision: 169607
- new version 0.9.17

* Sat Nov 05 2011 fwang <fwang> 0.9.16-1.mga2
+ Revision: 163137
- new version 0.9.16
- rebuild for new gnults

* Mon Jul 18 2011 fwang <fwang> 0.9.13-1.mga2
+ Revision: 125618
- new version 0.9.13

* Mon Mar 28 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 78439
- clean spec file
- imported package libmicrohttpd

